Subject: Re: [PATCH 0/4] Fix tests with missing iconv(1) executable

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 17 Feb 2026 12:54:44 +0100

On Mon, Feb 16, 2026 at 10:23:16AM +0100, Christian Couder wrote:
> On Mon, Feb 9, 2026 at 1:42 PM Patrick Steinhardt <[email-masked]> wrote:
> >
> > Hi,
> >
> > I recently noticed that th MSVC-based tests in GitLab CI started to
> 
> s/that th/that the/

Will fix, but given that this is the cover letter anyway I don't think
it matters much.

> > fail. The root cause is that the iconv(1) executable cannot be found on
> > this platform anymore. This isn't entirely surprising: we depend on the
> > Git for Windows environment to provide necessary shell tools, and that
> > environment of course is not a fully fledged MSYS2 installation.
> 
> Maybe this and perhaps some commit messages of the patches in the
> series could also talk about
> https://github.com/git-for-windows/git/issues/6083 a bit now that we
> know it's related.

Yup, makes sense.

Patrick